import { EditorView } from 'prosemirror-view';
import { Fragment, Node as ProseMirrorNode, type Schema } from 'prosemirror-model';
import type { EditorOptions, JSONContent } from './types.js';
import { EditorState } from 'prosemirror-state';
import { ChainedCommands } from './commands/CommandManager.js';
export declare function getHTMLFromFragment(fragment: Fragment, schema: Schema): string;
export declare class CoreEditor extends EventTarget {
    readonly options: Partial<EditorOptions>;
    private extensionManager;
    private commandManager;
    view: EditorView;
    state: EditorState;
    constructor(options?: Partial<EditorOptions>);
    get schema(): Schema<any, any>;
    chain(): ChainedCommands;
    can(): ChainedCommands;
    private createView;
    private dispatchTransaction;
    private setupPlugins;
    getJSON(): JSONContent;
    /**
     * Get the document as HTML.
     */
    getHTML(): string;
    setDocument(content?: any, mediaType?: string): void;
    getDocument(mediaType?: string): void | ProseMirrorNode;
}
//# sourceMappingURL=CoreEditor.d.ts.map