import { Schema } from 'prosemirror-model';
import { Plugin } from 'prosemirror-state';
import { NodeViewConstructor } from 'prosemirror-view';
import { Extension } from './Extension.js';
import { AnyExtension } from './types.js';
import { CoreEditor } from './CoreEditor.js';
import { Mark } from './Mark.js';
import { Node } from './Node.js';
import { type Command } from 'prosemirror-state';
export declare function findDuplicates(items: any[]): any[];
export declare function splitExtensions(extensions: Iterable<AnyExtension>): {
    baseExtensions: Extension[];
    nodeExtensions: Node[];
    markExtensions: Mark[];
};
export declare class ExtensionManager {
    private editor;
    readonly schema: Schema;
    private extensions;
    readonly plugins: Plugin[];
    readonly nodeViews: Record<string, NodeViewConstructor>;
    readonly commandConstructors: {
        [key: string]: () => Command;
    };
    private converters;
    private debug;
    constructor(extensions: Set<AnyExtension>, editor: CoreEditor);
    private getPlugins;
    private setupExtensions;
    getSchemaByResolvedExtensions(editor: CoreEditor): Schema;
}
//# sourceMappingURL=ExtensionManager.d.ts.map