import { MarkSpec, MarkType } from 'prosemirror-model';
import { InputRule } from './plugins/input-rules/InputRulesPlugin.js';
import { CoreEditor } from './CoreEditor.js';
import { Commands, CommandShortcuts } from './commands/mod.js';
export interface MarkConfig {
    [key: string]: any;
}
export declare abstract class Mark {
    protected config: Partial<MarkConfig>;
    readonly type = "mark";
    name: string;
    constructor(config?: Partial<MarkConfig>);
    getMarkSpec(): MarkSpec;
    getInputRules(type: MarkType): InputRule[];
    getCommands(editor: CoreEditor, type: MarkType): Partial<Commands>;
    getKeyboardShortcuts(): Partial<CommandShortcuts>;
}
//# sourceMappingURL=Mark.d.ts.map