import { NodeSpec, NodeType } from 'prosemirror-model';
import { NodeViewConstructor } from 'prosemirror-view';
import { Plugin } from 'prosemirror-state';
import { InputRule } from './plugins/input-rules/InputRulesPlugin.js';
import { CoreEditor } from './CoreEditor.js';
import { Command, CommandShortcuts } from './commands/mod.js';
import { Converter } from './Extension.js';
export interface NodeConfig {
    [key: string]: any;
}
export interface CommandConstructors {
    [key: string]: () => Command;
}
export declare abstract class Node {
    protected config: Partial<NodeConfig>;
    readonly type = "node";
    name: string;
    constructor(config?: Partial<NodeConfig>);
    getNodeSpec(): NodeSpec;
    getInputRules(type: NodeType): InputRule[];
    getProseMirrorPlugins(editor: CoreEditor): Plugin[];
    getCommands(editor: CoreEditor, type: NodeType): Partial<CommandConstructors>;
    getKeyboardShortcuts(): Partial<CommandShortcuts>;
    getNodeView(): NodeViewConstructor | undefined;
    getConverters(): Record<string, Converter>;
}
//# sourceMappingURL=Node.d.ts.map