export class Node {
    constructor(config = {}) {
        Object.defineProperty(this, "config", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: config
        });
        Object.defineProperty(this, "type", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: 'node'
        });
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: 'node'
        });
    }
    getNodeSpec() {
        throw new Error('NodeSpec not defined: ' + this.name);
    }
    getInputRules(type) {
        return [];
    }
    getProseMirrorPlugins(editor) {
        return [];
    }
    getCommands(editor, type) {
        return {};
    }
    getKeyboardShortcuts() {
        return {};
    }
    getNodeView() {
        return undefined;
    }
    getConverters() {
        return {};
    }
}
