import { type Command, EditorState, Transaction } from 'prosemirror-state';
import { CoreEditor } from '../CoreEditor.js';
export type ChainedCommands = {
    [key: string]: ChainedCommands;
} & {
    run: () => boolean;
};
export declare class CommandManager {
    private editor;
    private rawCommands;
    constructor(editor: CoreEditor, rawCommands?: {
        [key: string]: () => Command;
    });
    get state(): EditorState;
    get chain(): () => ChainedCommands;
    get can(): () => ChainedCommands;
    createChain(startTr?: Transaction, shouldDispatch?: boolean): ChainedCommands;
    createCan(startTr?: Transaction): ChainedCommands;
}
//# sourceMappingURL=CommandManager.d.ts.map