import { Attrs, MarkType, Node, NodeRange, NodeType, ResolvedPos } from 'prosemirror-model';
import { Command, Transaction } from 'prosemirror-state';
export { type Command } from 'prosemirror-state';
export declare function wrapInList(listType: NodeType, attrs?: Attrs | null): Command;
export declare function wrapRangeInList(tr: Transaction | null, range: NodeRange, listType: NodeType, attrs?: Attrs | null): boolean;
export declare const deleteSelection: Command;
export declare const joinBackward: Command;
export declare const joinTextblockBackward: Command;
export declare const joinTextblockForward: Command;
export declare const selectNodeBackward: Command;
export declare const joinForward: Command;
export declare const selectNodeForward: Command;
export declare const joinUp: Command;
export declare const joinDown: Command;
export declare const lift: Command;
export declare const newlineInCode: Command;
export declare const exitCode: Command;
export declare const createParagraphNear: Command;
export declare const liftEmptyBlock: Command;
export declare function splitBlockAs(splitNode?: (node: Node, atEnd: boolean, $from: ResolvedPos) => {
    type: NodeType;
    attrs?: Attrs;
} | null): Command;
export declare const splitBlock: Command;
export declare const splitBlockKeepMarks: Command;
export declare const selectParentNode: Command;
export declare const selectAll: Command;
export declare const selectTextblockStart: Command;
export declare const selectTextblockEnd: Command;
export declare function wrapIn(nodeType: NodeType, attrs?: Attrs | null): Command;
export declare function setBlockType(nodeType: NodeType, attrs?: Attrs | null): Command;
export declare function toggleMark(markType: MarkType, attrs?: Attrs | null, options?: {
    removeWhenPresent?: boolean;
    enterInlineAtoms?: boolean;
    includeWhitespace?: boolean;
}): Command;
export declare function autoJoin(command: Command, isJoinable: ((before: Node, after: Node) => boolean) | readonly string[]): Command;
export declare function chainCommands(...commands: readonly Command[]): Command;
export declare function alternativeCommands(...commands: readonly Command[]): Command;
export declare const baseKeymap: {
    [key: string]: Command;
};
export type Commands = {
    [name: string]: (...args: any[]) => Command;
};
export type CommandShortcuts = {
    [name: string]: string;
};
//# sourceMappingURL=mod.d.ts.map