import { Plugin, PluginKey } from 'prosemirror-state';
import type { NodeSpec, NodeType, Schema } from 'prosemirror-model';
import { Converter, type CoreEditor, Node } from '../../editor/src/mod.js';
import { type Commands, type CommandShortcuts } from '../../editor/src/commands/mod.js';
import { type InputRule } from '../../editor/src/plugins/input-rules/mod.js';
export declare const codeMirrorBlockKey: PluginKey<any>;
export declare class NodeCodeMirror extends Node {
    name: string;
    automerge: {
        block: string;
        attrParsers: {
            fromAutomerge: (block: any) => {
                lang: any;
            };
            fromProsemirror: (node: any) => {
                lang: any;
            };
        };
    };
    getConverters(schema: Schema): Record<string, Converter>;
    getNodeSpec(): NodeSpec;
    getInputRules(type: NodeType): InputRule[];
    getCommands(editor: CoreEditor, type: NodeType): Partial<Commands>;
    getKeyboardShortcuts(): Partial<CommandShortcuts>;
    getProseMirrorPlugins(editor: CoreEditor): Plugin[];
}
//# sourceMappingURL=NodeCodeMirror.d.ts.map